package cn.axzo.workflow.core.engine.event;

import cn.axzo.workflow.common.model.request.bpmn.BpmnNoticeConf;
import cn.axzo.workflow.common.model.request.bpmn.task.BpmnTaskDelegateAssigner;
import org.flowable.common.engine.api.delegate.event.FlowableEvent;

import java.util.List;

/**
 * 消息推送事件对象
 *
 * @author wangli
 * @since 2023/11/22 14:03
 */
public interface MessagePushEvent extends FlowableEvent {

    List<BpmnTaskDelegateAssigner> getAssigners();

    BpmnNoticeConf getNoticeConfig();

    String getProcessInstanceId();

    String getTenantId();

    String getTaskId();

}
